Skip to main content
GET
/
networks
/
affiliates
/
{affiliateId}
Get Affiliate by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_id": 7,
  "network_id": 1,
  "name": "Some Agency Inc.",
  "account_status": "active",
  "network_employee_id": 2,
  "internal_notes": "",
  "has_notifications": false,
  "network_traffic_source_id": 0,
  "account_executive_id": 0,
  "adress_id": 0,
  "default_currency_id": "USD",
  "is_contact_address_enabled": false,
  "enable_media_cost_tracking_links": true,
  "time_created": 1664825245,
  "time_saved": 1664825245,
  "referrer_id": 0,
  "relationship": {
    "labels": {
      "total": 0,
      "entries": []
    },
    "users": {
      "total": 1,
      "entries": [
        {
          "network_affiliate_user_id": 11,
          "network_id": 1,
          "network_affiliate_id": 7,
          "first_name": "Bob",
          "last_name": "Smith",
          "email": "bob.smith@example.com",
          "title": "",
          "work_phone": "4858555836",
          "cell_phone": "",
          "instant_messaging_id": 0,
          "instant_messaging_identifier": "",
          "language_id": 1,
          "timezone_id": 75,
          "currency_id": "USD",
          "account_status": "active",
          "time_created": 1664825245,
          "time_saved": 1664825245
        }
      ]
    },
    "account_manager": {
      "first_name": "John",
      "last_name": "Doe",
      "email": "john.doe@example.com",
      "work_phone": "9781243585",
      "cell_phone": "",
      "instant_messaging_id": 0,
      "instant_messaging_identifier": ""
    },
    "encoded_value": "9W598",
    "billing": {
      "network_id": 1,
      "network_affiliate_id": 7,
      "billing_frequency": "weekly",
      "payment_type": "none",
      "invoice_amount_threshold": 0,
      "tax_id": "",
      "is_invoice_creation_auto": false,
      "auto_invoice_start_date": "2019-03-01 00:00:00",
      "default_invoice_is_hidden": false,
      "invoice_generation_days_delay": 0,
      "default_payment_terms": 0,
      "is_automated_payment_enabled": false,
      "vat_percentage": 0,
      "relationship": {
        "weekly": {
          "day_of_week": 4
        }
      },
      "is_payable": true
    },
    "api_keys": {
      "total": 0,
      "entries": []
    },
    "api_whitelist_ips": {
      "total": 0,
      "entries": []
    },
    "ios_app_sources": {
      "total": 0,
      "entries": []
    }
  }
}
Retrieve a single affiliate by its ID. Use the relationship query parameter to include related data such as users, signup, billing, coupon_codes, visibility, reporting, and more.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

Query Parameters

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
reporting,
billing,
coupon_codes,
users,
audits,
visibility,
signup,
api,
traffic_source,
referral_link,
referrer,
referral,
supply_partner

Response

network_affiliate_id
integer

Unique affiliate ID.

network_id
integer

Network ID.

name
string

Affiliate name.

account_status
enum<string>

Current account status.

Available options:
active,
inactive,
pending,
suspended
network_employee_id
integer

Account manager employee ID.

internal_notes
string

Internal notes about this affiliate (not visible to the affiliate).

default_currency_id
string

ISO currency code for the affiliate's default currency.

Whether media cost tracking is enabled on this affiliate's links.

is_contact_address_enabled
boolean

Whether a contact address is stored for this affiliate.

has_notifications
boolean

Whether notifications are enabled.

network_traffic_source_id
integer

Associated traffic source ID.

account_executive_id
integer

Account executive employee ID.

adress_id
integer

Address record ID. Note the field name uses a single 'd' (adress_id) in the API response.

referrer_id
integer

ID of the referring affiliate, if any.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data (only present when requested via the relationship query parameter).